Subject: Re: bug#55518: [PATCH] gnu: Add python-gatt.

From: "Wamm K. D." <[email-masked]>
Date: Sun, 29 May 2022 21:52:10 -0500

On Fri. (May 27, 2022) at 06:02:45 PM -04, Ludovic Courtès <[email-masked]> wrote:
> Hi,
>
> I added a commit log and applied with the changes below, as suggested by
> Tobias (for the description).

…ah; heh, that was definitely not how I'd read his suggestion. I thought
~@acronym~ was used in every case, with the full acronym spelled out
only in first case, so thought I'd gotten it right in my last
patch. Sorry about that.

> The inputs are propagated because, for instance, the code reads:
>
> try:
>     import dbus
>     import dbus.mainloop.glib
> except ImportError:
>     import sys
>     print("Module 'dbus' not found")
>     print("Please run: sudo apt-get install python3-dbus")
>     print("See also: https://github.com/getsenic/gatt-python#installing-gatt-sdk-for-python")
>     sys.exit(1)
>
> Thus, if you install python-gatt in a profile, python-dbus should be
> propagated as well so it “just works”.

Mmm; O. K. That makes sense. Thanks a ton for explaining, Ludo; it's
super appreciated.